{
    "fields": [
        {
            "doc": "URL where reference information for this therapy association can be found",
            "name": "referenceUrl",
            "type": "string"
        },
        {
            "doc": "Source",
            "name": "source",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "References",
            "name": "references",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Conditions",
            "name": "conditions",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Drug responses",
            "name": "drugResponse",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Treatment agent",
                                "name": "TreatmentAgent",
                                "type": "string"
                            },
                            {
                                "doc": "associated effect of the drug",
                                "name": "drugResponseClassification",
                                "type": {
                                    "name": "DrugResponseClassification",
                                    "symbols": [
                                        "altered_sensitivity",
                                        "reduced_sensitivity",
                                        "increased_sensitivity",
                                        "altered_resistance",
                                        "increased_resistance",
                                        "reduced_resistance",
                                        "increased_risk_of_toxicity",
                                        "reduced_risk_of_toxicity",
                                        "altered_toxicity",
                                        "adverse_drug_reaction",
                                        "indication",
                                        "contraindication",
                                        "dosing_alteration",
                                        "increased_dose",
                                        "reduced_dose",
                                        "increased_monitoring",
                                        "increased_efficacy",
                                        "reduced_efficacy",
                                        "altered_efficacy"
                                    ],
                                    "type": "enum"
                                }
                            }
                        ],
                        "name": "DrugResponse",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Any other clinical intervention",
            "name": "otherInterventions",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "A process or action that is the focus of a clinical study.\nRef. https://prsinfo.clinicaltrials.gov/definitions.html",
                        "fields": [
                            {
                                "doc": "Intervention type, i.e drug",
                                "name": "interventionType",
                                "type": {
                                    "doc": "For each intervention studied in the clinical study, the general type of intervention\n\n* `drug`: Including placebo\n* `device`: Including sham\n* `biological`: Vaccine\n* `procedure`: Surgery\n* `radiation`\n* `behavioral`: For example, psychotherapy, lifestyle counselling\n* `genetic`: Including gene transfer, stem cell and recombinant DNA\n* `dietary_supplement`: For example, vitamins, minerals\n* `combination_product`: Combining a drug and device, a biological product and device; a drug and biological product; or a drug, biological product, and device\n* `diagnostic_test`: For example, imaging, in-vitro\n* `other`\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                                    "name": "InterventionType",
                                    "symbols": [
                                        "drug",
                                        "device",
                                        "procedure",
                                        "biological",
                                        "radiation",
                                        "behavioral",
                                        "genetic",
                                        "dietary_supplement",
                                        "combination_product",
                                        "diagnostic_test",
                                        "other"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "doc": "Intervention name: Placebo",
                                "name": "interventionName",
                                "type": "string"
                            }
                        ],
                        "name": "Intervention",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
            "name": "variantActionable",
            "type": "boolean"
        }
    ],
    "name": "Therapy",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}